Skip to main content
GET
/
v1
/
interests
List Interests
curl --request GET \
  --url https://api.mokaru.ai/v1/interests \
  --header 'Authorization: Bearer <token>'

Documentation Index

Fetch the complete documentation index at: https://docs.mokaru.ai/llms.txt

Use this file to discover all available pages before exploring further.

Overview

Retrieve all interests/hobbies on the authenticated user’s career profile.
Scope required: interests:read | Rate limit: 60 requests/min

Request

GET /v1/interests?limit=25&offset=0

Query Parameters

limit
number
default:"25"
Results per page (max 100)
offset
number
default:"0"
Pagination offset

Response

{
  "data": [
    {
      "id": "clx...",
      "name": "Photography",
      "description": "Landscape and street photography",
      "createdAt": "2026-01-15T10:00:00.000Z",
      "updatedAt": "2026-01-15T10:00:00.000Z"
    }
  ],
  "total": 4,
  "hasMore": false,
  "limit": 25,
  "offset": 0
}